Page MenuHomePhabricator

[clang] [test] Add a (xfailing) test for PR41027
ClosedPublic

Authored by mgorny on Apr 15 2019, 11:25 AM.

Details

Summary

Add a test for tracking PR41027 (8.0 regression breaking assembly code
relying on __builtin_constant_p() to identify compile-time constants).
Mark it as expected to fail everywhere.

Diff Detail

Event Timeline

mgorny created this revision.Apr 15 2019, 11:25 AM
krytarowski added a subscriber: void.

Adding @void, regression introduced with D55616.

hans added a comment.Apr 16 2019, 6:27 AM

What's the value in checking in this xfail'ed test without an actual fix for the problem?

What's the value in checking in this xfail'ed test without an actual fix for the problem?

Raise awareness about the problem.

What's the value in checking in this xfail'ed test without an actual fix for the problem?

  1. It may help whoever tries to address it in the future, to have a known-good reproducer.
  2. If someone addresses this independently and doesn't notice the bug, it will help us get informed that the issue was fixed.
hans accepted this revision.Apr 17 2019, 12:29 AM

What's the value in checking in this xfail'ed test without an actual fix for the problem?

Raise awareness about the problem.

I don't think that works. No one is reading through the test files of the repository.

  1. It may help whoever tries to address it in the future, to have a known-good reproducer.

The usual way to do this is to post it on the bug tracker, which was already done.

  1. If someone addresses this independently and doesn't notice the bug, it will help us get informed that the issue was fixed.

Fair enough, that seems somewhat useful :-)

clang/test/Sema/pr41027.c
1

nit: the XFAIL usually comes after the RUN line, and there's usually an empty line between these lines and the other contents of the file

This revision is now accepted and ready to land.Apr 17 2019, 12:29 AM
mgorny updated this revision to Diff 195518.Apr 17 2019, 1:13 AM
mgorny marked an inline comment as done.

Updated per request.

What's the value in checking in this xfail'ed test without an actual fix for the problem?

Raise awareness about the problem.

I don't think that works. No one is reading through the test files of the repository.

Well, I think we should treat it from the other side around.

Could we please revert it and backport revert to 8.0.1? The author(s) can improve the implementation and get this pr41027 test to check if a new version works.

Right now this blocks upgrades on NetBSD as a number of CPUs is affected (but not x86, so it was overlooked before 8.0 by others than @joerg).

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 5 2019, 1:19 AM